%define upstream_name MooX-File-ConfigDir
%define upstream_version 0.008

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Moo eXtension for File::ConfigDir
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ConfigDir) >= 0.18.0
BuildRequires: perl(Moo::Role) >= 1.3.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.900.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Moo eXtension for File::ConfigDir.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Thu Oct 22 2020 tv <tv> 0.8.0-1.mga8
+ Revision: 1638219
- update to 0.008

* Wed Feb 12 2020 umeabot <umeabot> 0.7.0-3.mga8
+ Revision: 1505328
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.7.0-2.mga7
+ Revision: 1285013
- Mageia 7 Mass Rebuild

* Tue May 01 2018 tv <tv> 0.7.0-1.mga7
+ Revision: 1224200
- update to 0.007

* Wed Jul 26 2017 sander85 <sander85> 0.6.0-1.mga7
+ Revision: 1131169
- update to 0.006

* Sun Jun 19 2016 pterjan <pterjan> 0.5.0-3.mga6
+ Revision: 1030717
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 966497
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.5.0-1.mga6
+ Revision: 845844
- update to 0.005

* Sun Oct 19 2014 umeabot <umeabot> 0.3.0-5.mga5
+ Revision: 790132
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-4.mga5
+ Revision: 739874
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.3.0-3.mga5
+ Revision: 735936
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-2.mga5
+ Revision: 685496
- Mageia 5 Mass Rebuild

* Thu Feb 06 2014 sander85 <sander85> 0.3.0-1.mga5
+ Revision: 584575
- update to 0.003

* Mon Oct 21 2013 umeabot <umeabot> 0.2.0-2.mga4
+ Revision: 538057
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 sander85 <sander85> 0.2.0-1.mga4
+ Revision: 488394
- imported package perl-MooX-File-ConfigDir

